import { FilterResetWordingPipe } from './filter-reset-wording.pipe';

describe('#FilterResetWordingPipe', () => {
  let pipe: FilterResetWordingPipe;

  beforeEach(() => {
    pipe = new FilterResetWordingPipe();
  });

  it('should show Alle Filter Entfernen for the default strategy', () => {
    const result = pipe.transform('all');
    expect(result).toEqual('Alle Filter Entfernen');
  });

  it('should show Filter zurücksetzen for the default strategy', () => {
    const result = pipe.transform('default');
    expect(result).toEqual('Filter zurücksetzen');
  });
});
